=== debian/changelog ===
python-pytest-socket (0.7.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Thu, 13 Jun 2024 01:15:00 +0000

python-pytest-socket (0.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1059380)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sun, 02 Jun 2024 01:30:00 +0000
