=== debian/control ===
Source: python-pytest-socket
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Yogeswaran Umasankar <kd8mbd@gmail.com>
Homepage: https://github.com/miketheman/pytest-socket
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pytest-socket.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pytest-socket
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all,
               python3-poetry-core,
               python3-pytest,
               python3-pytest-httpbin <!nocheck>,
               python3-requests <!nocheck>,
               python3-starlette <!nocheck>,
               python3-httpx <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pytest-socket
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Pytest Plugin to disable socket calls during tests
 A plugin to use with Pytest to disable or restrict socket calls
 during tests to ensure network calls are prevented. Disables all
 network calls flowing through Python's socket interface.
