=== debian/watch ===
version=4
https://github.com/miketheman/pytest-socket/tags .*/(\d\S+[^rc]\d+)\.tar\.gz
